ettercap (1:0.8.2-2~kali1) kali; urgency=medium

  * Import new version from debian/testing
  * Drop patches allow-build-type-RelWithDebInfo.patch and
    disable-rpath.patch

 -- Sophie Brun <sophie@freexian.com>  Tue, 12 May 2015 09:30:51 +0200

ettercap (1:0.8.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 26 Apr 2015 23:37:53 +0200

ettercap (1:0.8.2-1) experimental; urgency=medium

  * New upstream release.
  * Prepare debian packaging for reinclusion of pdf docs

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 18 Dec 2014 11:23:07 +0100

ettercap (1:0.8.1-3) unstable; urgency=high

  * Patch a bunch of security vulnerabilities (closes: #773416)
    - CVE-2014-6395 (Length Parameter Inconsistency)
    - CVE-2014-6396 (Arbitrary write)
    - CVE-2014-9376 (Negative index/underflow)
    - CVE-2014-9377 (Heap overflow)
    - CVE-2014-9378 (Unchecked return value)
    - CVE-2014-9379 (Incorrect cast)
    - CVE-2014-9380 (Buffer over-read)
    - CVE-2014-9381 (Signedness error)
    See:
    https://www.obrela.com/home/security-labs/advisories/osi-advisory-osi-1402/
    Patches taken from repo CVE-patch,
    URL git://github.com/NickSampanis/ettercap.git
    - 88804bd3a900d273215855f7c567ec891d31e547 CVE-patch/589
    - 103f16582ee88341a6a610378011781cdc866b0c CVE-patch/602
    - 3f0c582826095c722ab6fbf91518282a765a0b68 CVE-patch/603
    - cb7b2028dc03c628aa0a1a5130ca41421ddebcb2 CVE-patch/604
    - edd337d5d4f37ab8e330c5e067344dd5b3f10435 CVE-patch/605
    - 37dcfdf79e1ac6dcacd565894cd7717aa0224164 CVE-patch/606
    - c2a3c99af956146570d7883e4b540b9d0c0a3c46 CVE-patch/607
    - 6b196e011fa456499ed4650a360961a2f1323818 CVE-patch/608
    - afe7061948e85f0a0fd417d5e4c681bfaf212f42 CVE-patch/609
    - 9e9fdc7ed1ee8eba01a5a05e000b6c55d2a70923 CVE-patch/610
    Thanks to Nick Sampanis <n.sampanis@obrela.com> who is responsible for
    both finding and repairing these issues.

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 18 Dec 2014 09:07:40 +0000

ettercap (1:0.8.1-2) unstable; urgency=medium

  * Remove byacc | byacc-j | btyacc, not compatible after
    the cmake switch.
  * Add flex-old as b-d, used with bison++.
  * Fix conflicting files in both common and graphical package
    (Closes: #768831).
  * Fix some obsolete breaks+replaces, thanks Andreas!
  * Remove the gksu dependency, not needed anymore.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 21 Oct 2014 13:19:19 +0200

ettercap (1:0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove bundled_deps directory, useless and some
    luajit files are non dfsg.
  * Update watch file.
  * Update copyright file, order matters.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 15 Oct 2014 14:00:15 +0200

ettercap (1:0.8.0+git20141002-2) unstable; urgency=medium

  * Update copyright file.
  * Revert silence lintian tag conflicts-with-version.
    (Closes: #763803)
  * wrap-and-sort the debian directory.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 02 Oct 2014 16:38:45 +0200

ettercap (1:0.8.0+git20141002-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream snapshot
    - fixed hurd build failure.
    - fix ldflags preventing relro from being passed correctly
    - fix some gtk stuff
  * Update overrides and rules file.

  [ Barak A. Pearlmutter ]
  * bump policy version
  * silence lintian tag conflicts-with-version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Oct 2014 13:09:52 +0100

ettercap (1:0.8.0+git20140910-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add appdata file
  * New rc release. (Closes: #690158)

  [ Barak A. Pearlmutter ]
  * rename upstream point release using + instead of ~
  * Single debian patch source option

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 14 Sep 2014 11:53:26 +0100

ettercap (1:0.8.0-14) unstable; urgency=medium

  * Cherry-pick cf90ed9 to fix test suite failures with ubuntu
    -Bsymbolic-functions flag. A big thanks to RAOF for the help.
  * d/control: add some missing lua archs from debian/ports
    !alpha !arm64 !hppa !m68k !ppc64 !sh4 !sparc64 !x32

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 05 May 2014 11:54:19 +0200

ettercap (1:0.8.0-13) unstable; urgency=medium

  * Removed unused old b-d
  * Add check as b-d
  * Add sparc to unsupported lua archs
  * Add tests
  * mv lua to share/ettercap

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 02 May 2014 00:31:55 +0200

ettercap (1:0.8.0-12) unstable; urgency=medium

  * Enabling lua for supported architectures

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 30 Apr 2014 16:47:27 +0200

ettercap (1:0.8.0-11) unstable; urgency=medium

  * Removing ethtool as b-d for non linux kernels.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Tue, 11 Mar 2014 09:52:02 +0100

ettercap (1:0.8.0-10) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Fixed other failures on kfreebsd and HURD, due to
    missing function on not linux platforms

  [ Barak A. Pearlmutter ]
  * Prep for release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 Mar 2014 08:25:34 +0000

ettercap (1:0.8.0-9) unstable; urgency=medium

  * Order matters, for kfreebsd stuff

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 02 Mar 2014 08:10:37 +0100

ettercap (1:0.8.0-8) unstable; urgency=medium

  * Another mod for hurd and kfreebsd

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sat, 01 Mar 2014 13:46:57 +0100

ettercap (1:0.8.0-7) unstable; urgency=medium

  * Hopefully we can get rid of the BPF problem this time.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 28 Feb 2014 10:36:27 +0100

ettercap (1:0.8.0-6) unstable; urgency=medium

  * Fixing kfreebsd-* build failure.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 26 Feb 2014 12:48:14 +0100

ettercap (1:0.8.0-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Fixed ettercap-pkexec path failure with previous upload
  * sed s/libtldl-dev/libltdl-dev/g -i debian/control
    to prevent build failures (Closes: #739975)

  [ Barak A. Pearlmutter ]
  * Add Gianfranco Costamagna as co-maintainer

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Feb 2014 19:45:26 +0000

ettercap (1:0.8.0-4) unstable; urgency=medium

  * Move ettercap-pkexec w/ man page from ettercap-common to ettercap-graphical
  * sed s/B0/BZERO/g -i src/ec_encryption_ccmp.c to avoid powerpc build failure

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Feb 2014 14:20:42 +0000

ettercap (1:0.8.0-3) unstable; urgency=medium

  * Install /usr/bin/ettercap not /usr/sbin/ for non-root log analysis
  * Disable LUA support

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 25 Feb 2014 12:08:14 +0000

ettercap (1:0.8.0-2) unstable; urgency=medium

  * Fiddle faddle with the packaging scripts
  * Enable lua support with appropriate build dependencies
  * Name the shared library libettercap.so.0
  * Update the lintian overrides

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Feb 2014 22:43:15 +0000

ettercap (1:0.8.0-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream version
  * Added policykit-1 to ettercap-graphical
  * Added luajit to build-dep
  * Updated debian/rules clean target
  * Removed patches, addressed upstream
  * Added ethtool dependency, needed for disabling
    segmentation offload
  * Tweaked debian/watch file
  * Install libettercap.so in ettercap-common.
  * Added libettercap.so to clean target
  * Bumped standard version to 3.9.5, no changes required.
  * Add some lintian overrides to deal with the internal but public
    libettercap.so.

  [ Barak A. Pearlmutter ]
  * Migrated debian/rules clean target to debian/clean
  * Add "chrpath --delete xxx" to debian/rules as necessary.
  * Apparently Debian passes CMAKE_BUILD_TYPE=RelWithDebInfo; make it so!

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Feb 2014 21:07:04 +0000

ettercap (1:0.8.0-0kali1) kali; urgency=low

  [ Raphaël Hertzog ]
  * New upstream release.
  * Drop Debian specific patches:
    - 0001-desktop.patch: upstream uses pkexec by default now, no need to use
      su-to-root, thus drop dep on menu and add dep on policykit-1
    - 0002-centre-scalable-icon.patch: merged upstream
  * Fix CMakeLists.txt to not barf on Debian's
    CMAKE_BUILD_TYPE=RelWithDebInfo.
  * Tweak install files to let upstream install the desktop file, the
    policy kit rules, and the pkexec wrapper.
  * Install libettercap.so in ettercap-common.
  * Add disable-rpath.patch to disable RPATH generation.
  * Add some lintian overrides to deal with the internal but public
    libettercap.so.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 30 Sep 2013 21:17:08 +0200

ettercap (1:0.7.6-1kali0) kali; urgency=low

  * Import ettercap from testing

 -- Mati Aharoni <muts@kali.org>  Mon, 09 Sep 2013 07:01:22 -0400

ettercap (1:0.7.6-1) unstable; urgency=low

  [ Gianfranco Costamagna ]
  * New upstream version
  * Dropped version dependency for curl (fixed in cmake)

  [ Barak A. Pearlmutter ]
  * Tweak debian/watch to point to official upstream only

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 27 Mar 2013 11:44:17 +0000

ettercap (1:0.7.5.3-2) unstable; urgency=low

  * tweak debian/rules to enable IPv6 with libnet 1.1.6 or greater

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 25 Feb 2013 22:34:29 +0000

ettercap (1:0.7.5.3-1) unstable; urgency=low

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 02 Feb 2013 18:33:19 +0000

ettercap (1:0.7.5.2-2) unstable; urgency=low

  * Merge ongoing upstream mods per upstream request
    - version number
    - changelog
    - options --certificate and --private-key

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 30 Jan 2013 15:53:55 +0000

ettercap (1:0.7.5.2-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 29 Jan 2013 16:01:52 +0000

ettercap (1:0.7.5.1-3) unstable; urgency=low

  * remove bogus but harmlessly dead code from patch for CVE-2013-0722

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 17 Jan 2013 23:19:55 +0000

ettercap (1:0.7.5.1-2) unstable; urgency=low

  * merge upstream patch for CVE-2013-0722 a stack-based buffer overflow
    when parsing hosts list (closes: #697987)
  * merge upstream patch for clang compilation issue

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 14 Jan 2013 10:19:40 +0000

ettercap (1:0.7.5.1-1) unstable; urgency=low

  * update patches
  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 04 Jan 2013 18:16:56 +0100

ettercap (1:0.7.5-5) unstable; urgency=low

  * add version dependency for curl library, per upstream reqs
  * postinst code swizzles doc dirs to symlinks (closes: #693487)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 17 Nov 2012 01:07:34 +0000

ettercap (1:0.7.5-4) unstable; urgency=low

  * use proper debhelper documentation directory link option
  * add debugging symbols package ettercap-dbg

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 28 Oct 2012 22:04:20 +0000

ettercap (1:0.7.5-3) unstable; urgency=low

  * put back version in conflicts with ettercap (closes: #691478)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 26 Oct 2012 12:45:37 +0100

ettercap (1:0.7.5-2) unstable; urgency=low

  * build dependency on ghostscript for ps2pdf, used by cmake scripts to
    convert man pages to pdf; not included in the Debian packages.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 26 Oct 2012 08:44:51 +0100

ettercap (1:0.7.5-1) unstable; urgency=low

  * New upstream release from new upstream team
    - switch to cmake build system
    - various fiddly fixes (closes: #691465)
  * Modify packaging scripts for new cmake build system.
  * General packaging updates.
  * Depend on menu for su-to-root in menu file (closes: #670840)
  * Misc patches, including
    - gadu-gadu plugin, so avoid removing functionality
    - spelling and man page fixes
    - desktop file and scalable icon
    - post-release upstream patch avoiding sslstrip.so promiscuous linkage

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 26 Oct 2012 00:20:00 +0100

ettercap (1:0.7.4.2-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 13 Nov 2011 22:30:45 +0000

ettercap (1:0.7.4.1+git.17fac4c4a-1) unstable; urgency=low

  * Track upstream with snapshot release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 09 Nov 2011 15:57:15 +0000

ettercap (1:0.7.4.1-1) unstable; urgency=low

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 Sep 2011 17:16:06 +0100

ettercap (1:0.7.4-3) unstable; urgency=low

  * Add build dependency on flex or other lex provider

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 13 Aug 2011 06:58:24 +0200

ettercap (1:0.7.4-2) unstable; urgency=low

  * Add build dependency on bison or other yacc provider
  * Expand description in executable packages

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 12 Aug 2011 22:25:44 +0200

ettercap (1:0.7.4-1) unstable; urgency=low

  * Add new maintainer
  * Merge NMUs and Ubuntu patches
  * New upstream release
    - remove superceded quilt patches
    - remove superceded Ubuntu patches
    - includes desktop and icon files
    - devleopment moved to github
  * Update debian packaging
    - Reorganised package names: ettercap-common holds everything
      except the actual ettercap executable.  This comes in two varieties,
      which are in ettercap-text-only and ettercap-graphical.  The latter
      has both the textual and graphical interfaces, and is thus a
      functional superset of the former.
    - bump to source format 3
    - add watch file pointing to new upstream repo on github
    - dh 8
    - simplify and shorten rules and related info
    - bump policy version
    - add homepage and vcs control fields
    - put long description on ettercap-common, stub descriptions elsewhere
    - silence most lintian issues, such as duplicated upsteam changelog
    - remove old /usr/share/ettercap symlink deletion in installation scripts

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 12 Aug 2011 15:28:59 +0200

ettercap (1:0.7.3-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * 03_fix_ltmain_check.diff: New patch to fix builds with newer
    grep. (Closes: #634576)
  * debian/control: Build-Depends against libssl-dev instead of
    libssl0.9.8. (Closes: #621391)

 -- Tim Retout <diocles@debian.org>  Fri, 29 Jul 2011 19:15:22 +0100

ettercap (1:0.7.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * 01_pointers_and_ints_dont_mix.diff: Cast to u_char* rather than
    simply removing the cast.  Updated patch by Robert Edmonds.
    (Closes: #521857)

 -- Tim Retout <diocles@debian.org>  Thu, 07 Oct 2010 20:34:05 +0100

ettercap (1:0.7.3-2) unstable; urgency=low

  * Ettercap can see wifi traffics with new libpcap (Closes: #385746).
  * Ettercap now can build with --enable-debug too (Closes: #438185).
  * Package should not be orphaned (Closes: #543741).

 -- Murat Demirten <murat@debian.org>  Thu, 29 Sep 2009 17:20:41 +0200

ettercap (1:0.7.3-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Add forgotten build-dependency on autotools-dev, thanks KiBi!

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 09 Jul 2009 12:21:41 +0200

ettercap (1:0.7.3-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/series, debian/patches/01_pointers_and_ints_dont_mix.diff:
    added, patch by Timothy Redaelli fixes segfault. (Closes: #521857)
  * debian/control: add quilt build-depedency,
    use binary:Version instead of Source-Version.
  * debian/rules: use dh_quilt_{un,}patch to apply/unapply patches,
    use new config.{guess,sub}, drop deprecated DH_COMPAT.
  * debian/compat: added.
  * debian/ettercap-gtk.menu: use su-to-root. (Closes: #479812),
    replace Apps/Net with new section Applications/Network/Monitoring.
  * debian/NEWS.Debian: add space before "-- Murat.." to fix syntax error.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 09 Jul 2009 10:36:14 +0200

ettercap (1:0.7.3-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Removed debconf dependency since this program does not use debconf.
    (Closes: #331818)
  * Updated dependency on libssl to libssl0.9.8. (Closes: #333637)
  * Bumped compat to 5.
  * Bumped Standards-Version to 3.7.2, no changes required. 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat,  4 Nov 2006 19:27:51 +0100

ettercap (1:0.7.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove the unneccesary Build-Depends on automake. (Closes: #376621)

 -- Eric Dorland <eric@debian.org>  Sat,  2 Sep 2006 18:52:51 -0400

ettercap (1:0.7.3-1) unstable; urgency=low

  * New upstream release (Closes: #270978 #156770 #312226 #205624)
  * It's forwarded current ettercap developers long time ago (Closes: #241913)

 -- Murat Demirten <murat@debian.org>  Mon, 06 Jun 2005 14:07:06 +0300

ettercap (1:0.7.1-1) unstable; urgency=low

  * New upstream release

 -- Murat Demirten <murat@debian.org>  Mon, 11 Oct 2004 20:24:00 +0300

ettercap (1:0.7.0-1) unstable; urgency=low

  * New upstream release
  * Package splitting notes now included in NEWS.Debian (Closes: #205172)
  * New version doesn't segfault on exit (Closes: #254675)

 -- Murat Demirten <murat@debian.org>  Wed, 07 Jul 2004 11:35:20 +0300

ettercap (1:0.6.b-2) unstable; urgency=low

  * Added autoconf and automake entry in Build-Depends field to build
    ettercap for other architectures.

 -- Murat Demirten <murat@debian.org>  Mon, 21 Jun 2003 19:57:18 +0200

ettercap (1:0.6.b-1) unstable; urgency=low

  * New upstream release
  * Package moved into main from non-us archive (See LICENSE.OPENSSL)
  * Ettercap split into three package (Closes: #197451)
    ettercap-common includes configuration files, documentation and
    plugins. ettercap-gtk compiled with gtk support and ettercap
    compiled with ncurses support (Closes: #195799)
  * Ettercap packages now install localized man pages (Closes: #181760)
  
 -- Murat Demirten <murat@debian.org>  Sun, 12 Jun 2003 14:07:27 +0200

ettercap (1:0.6.a-2) unstable; urgency=low

  * Fixed important packaging problem (Closes: #193704)
  
 -- Murat Demirten <murat@debian.org>  Sun, 18 May 2003 12:16:39 +0200

ettercap (1:0.6.a-1) unstable; urgency=low

  * New upstream release.
  * Ettercap-plugins package replaced by ettercap.
  * Ettercap properly reset its terminal when exit (Closes: #179465)
  * Removed duplicate changelog file (Closes: #176321)
  * Gtk option enabled (Closes: #185799)
  
 -- Murat Demirten <murat@debian.org>  Sun, 11 May 2003 19:27:46 +0200

ettercap (1:0.6.9-1) unstable; urgency=low

  * New upstream release.
  
 -- Murat Demirten <murat@debian.org>  Fri, 31 Jan 2003 00:48:25 +0200

ettercap (1:0.6.7-1) unstable; urgency=low

  * New upstream release.
  
 -- Murat Demirten <murat@debian.org>  Tue, 02 Jul 2002 21:53:38 +0200

ettercap (1:0.6.6.6-1) unstable; urgency=low

  * New upstream release.
  
 -- Murat Demirten <murat@debian.org>  Mon, 03 Jun 2002 17:43:20 +0200

ettercap (1:0.6.5-1) unstable; urgency=low

  * New upstream release.
  
 -- Murat Demirten <murat@debian.org>  Tue, 23 Apr 2002 12:01:39 +0200

ettercap (1:0.6.4-1) unstable; urgency=low

  * New upstream release.
  * Fixes long description line bug of ettercap. (Closes: #130953)
  * Fixes long description line bug of ettercap-plugins. (Closes: #130952)
  
 -- Murat Demirten <murat@debian.org>  Fri, 21 Feb 2002 22:36:17 +0200

ettercap (0.6.4.cvs20020101-1) unstable; urgency=low

  * Fixed packaging problems which prevents automatic rebuilding for
    ports other than mipsel. 
  * Configuration files go to /etc/ettercap directory.
  * Better description field
  * CVS snapshot used which doesn't have some plugin config file problems. 
  
 -- Murat Demirten <murat@debian.org>  Tue, 1 Jan 2002 18:11:41 +0200

ettercap (0.6.3.1-1) unstable; urgency=low

  * Initial Release (Closes: #112980)

 -- Murat Demirten <murat@debian.org>  Wed, 19 Dec 2001 13:08:46 +0200
